###############################################################################
# Application options
APPL_TRACE_LEVEL=0x01
PROTOCOL_TRACE_LEVEL=0x00000000

###############################################################################
# Logging
# Set USE_RAW_NCI_TRACE = 1 for protocol logging in a raw format
# instead of decoded
#USE_RAW_NCI_TRACE=0

###############################################################################
# performance measurement
# Change this setting to control how often USERIAL log the performance (throughput)
# data on read/write/poll
# defailt is to log performance dara for every 100 read or write
#REPORT_PERFORMANCE_MEASURE=100

###############################################################################
# File used for NFA storage
NFA_STORAGE="/data/nfc"

###############################################################################
# Low Power Mode Settings
#
#  If NFA_DM_LP_CFG is not provided, stack default settings are
#  used (see nfa_dm_brcm_cfg.c).  They are as follows:
#       1             Power cycle to full power mode from CEx
#       1             Parameter for low power mode command
#       0             Primary Threshold for battery monitor
#                       0-7 representing below voltages:
#                         {2, 2.2, 2.7, 2.8, 2.9, 3, 3.1, 3.2}
#       8             Secondary Threshold for battery monitor
#                       0-15 representing below voltages:
#                         {5.2, 4.87, 4.54, 4.22, 3.9, 3.73, 3.57, 3.4,
#                          3.2, 3.1,  3.0,  2.9,  2.8, 2.7,  2.2,  2.0}
#
NFA_DM_LP_CFG={01:01:02:08}

###############################################################################
# Insert a delay in milliseconds after NFC_WAKE and before write to NFCC
NFC_WAKE_DELAY=20

###############################################################################
# Various Delay settings (in ms) used in USERIAL
#  POWER_ON_DELAY
#    Delay after turning on chip, before writing to transport (default 300)
#  PRE_POWER_OFF_DELAY
#    Delay after deasserting NFC-Wake before turn off chip (default 0)
#  POST_POWER_OFF_DELAY
#    Delay after turning off chip, before USERIAL_close returns (default 0)
#  CE3_PRE_POWER_OFF_DELAY
#    Delay after deasserting NFC-Wake before turn off chip (default 1000)
#    when going to CE3 Switch Off mode
#
POWER_ON_DELAY=0
PRE_POWER_OFF_DELAY=10
#POST_POWER_OFF_DELAY=0
CE3_PRE_POWER_OFF_DELAY=1500

###############################################################################
# Maximum time (ms) to wait for RESET NTF after setting REG_PU to high
# The default is 1000.
NFCC_ENABLE_TIMEOUT=1000

###############################################################################
# Device Manager Config
#
#  If NFA_DM_CFG is not provided, stack default settings are
#  used (see nfa_dm_cfg.c).  They are as follows:
#       0 (FALSE)     Automatic NDEF detection when background polling
#       0 (FALSE)     Automatic NDEF read when background polling
#
#NFA_DM_CFG={00:00}

###############################################################################
# Default poll duration (in ms)
#  The defualt is 500ms if not set (see nfc_target.h)
NFA_DM_DISC_DURATION_POLL=250

###############################################################################
# Startup Vendor Specific Configuration (100 bytes maximum);
#  byte[0] TLV total len = 0x5
#  byte[1] NCI_MTS_CMD|NCI_GID_PROP = 0x2f
#  byte[2] NCI_MSG_FRAME_LOG = 0x9
#  byte[3] 2
#  byte[4] 0=turn off RF frame logging; 1=turn on
#  byte[5] 0=turn off SWP frame logging; 1=turn on
#  NFA_DM_START_UP_VSC_CFG={05:2F:09:02:01:01}

###############################################################################
# Configure the default Destination Gate used by HCI (the default is 4, which
# is the ETSI loopback gate.
#NFA_HCI_DEFAULT_DEST_GATE=0x04

###############################################################################
# Override the stack default for NFA_EE_MAX_EE_SUPPORTED set in nfc_target.h.
# The value is set to 3 by default as it assumes we will discover 0xF2,
# 0xF3, and 0xF4. If a platform will exclude an SE, this value can be reduced
# so that the stack will not wait any longer than necessary.  It can be set to
# 0 to disable EE and HCI sub-systems (i.e. if there are no SE on the system).
# Note, if set to 0, the ACTIVE_SE setting should also be set to 0.
#NFA_MAX_EE_SUPPORTED=3

###############################################################################
# Configure the single default SE to use.  The default is to use the first
# SE that is detected by the stack.  This value might be used when the phone
# supports multiple SE (e.g. 0xF3 and 0xF4) but you want to force it to use
# one of them (e.g. 0xF4).  This can be set to 0 if there are no SE on the
# system in order to skip SE initialization.
#ACTIVE_SE=0xF3

###############################################################################
# Configure the default NfcA/IsoDep techology and protocol route. Can be
# either a secure element (e.g. 0xF4) or the host (0x00)
DEFAULT_ISODEP_ROUTE=0x00

###############################################################################
# Configure the default "off-host" AID route.  The default is 0xF4
DEFAULT_OFFHOST_ROUTE=0xF3

###############################################################################
# Configure the NFC Extras to open and use a static pipe.  If the value is
# not set or set to 0, then the default is use a dynamic pipe based on a
# destination gate (see NFA_HCI_DEFAULT_DEST_GATE).  Note there is a value
# for each UICC (where F3="UICC0" and F4="UICC1")
#NFA_HCI_STATIC_PIPE_ID_F3=0x70
NFA_HCI_STATIC_PIPE_ID_F4=0x71

###############################################################################
# When disconnecting from Oberthur secure element, perform a warm-reset of
# the secure element to deselect the applet.
# The default hex value of the command is 0x3.  If this variable is undefined,
# then this feature is not used.
OBERTHUR_WARM_RESET_COMMAND=0x03

###############################################################################
# Force UICC to only listen to the following technology(s).
# The bits are defined as tNFA_TECHNOLOGY_MASK in nfa_api.h.
# Default is NFA_TECHNOLOGY_MASK_A | NFA_TECHNOLOGY_MASK_B.
# If variable is not defined, code will detect UICC's technologies.
#UICC_LISTEN_TECH_MASK=0x03

###############################################################################
# Exclude some technologies when establishing the listen mask. This is handy
# when UICC_LISTEN_TECH_MASK is not specified and the mask is based on what is
# discovered in the UICC.  This provides a method to remove certain techs.
# Default is 0x00 (i.e. don't exclude any technology).
UICC_LISTEN_TECH_EXCLUDE_MASK=0x10

###############################################################################
# AID for Empty Select command
# If specified, this AID will be substituted when an Empty SELECT command is
# detected.  The first byte is the length of the AID.  Maximum length is 16.
AID_FOR_EMPTY_SELECT={08:A0:00:00:01:51:00:00:00}

###############################################################################
# Force tag polling for the following technology(s).
# The bits are defined as tNFA_TECHNOLOGY_MASK in nfa_api.h.
# Default is NFA_TECHNOLOGY_MASK_A | NFA_TECHNOLOGY_MASK_B |
#            NFA_TECHNOLOGY_MASK_F | NFA_TECHNOLOGY_MASK_ISO15693 |
#            NFA_TECHNOLOGY_MASK_B_PRIME | NFA_TECHNOLOGY_MASK_A_ACTIVE |
#            NFA_TECHNOLOGY_MASK_F_ACTIVE.
#
# Notable bits:
#   NFA_TECHNOLOGY_MASK_A         0x01
#   NFA_TECHNOLOGY_MASK_B         0x02
#   NFA_TECHNOLOGY_MASK_F         0x04
#   NFA_TECHNOLOGY_MASK_ISO15693  0x08
#   NFA_TECHNOLOGY_MASK_B_PRIME   0x10
#   NFA_TECHNOLOGY_MASK_KOVIO	    0x20
#   NFA_TECHNOLOGY_MASK_A_ACTIVE    0x40
#   NFA_TECHNOLOGY_MASK_F_ACTIVE    0x80
POLLING_TECH_MASK=0x3F

###############################################################################
# Force P2P to only listen for the following technology(s).
# The bits are defined as tNFA_TECHNOLOGY_MASK in nfa_api.h.
# Default is NFA_TECHNOLOGY_MASK_F |
#            NFA_TECHNOLOGY_MASK_A_ACTIVE | NFA_TECHNOLOGY_MASK_F_ACTIVE
#P2P_LISTEN_TECH_MASK=0xC4

###############################################################################
# Maximum Number of Credits to be allowed by the NFCC
#   This value overrides what the NFCC specifices allowing the host to have
#   the control to work-around transport limitations.  If this value does
#   not exist or is set to 0, the NFCC will provide the number of credits.
#MAX_RF_DATA_CREDITS=1

###############################################################################
# When screen is turned off, specify the desired power state of the controller.
# 0: power-off-sleep state; DEFAULT
# 1: full-power state
# 2: screen-off card-emulation (CE4/CE3/CE1 modes are used)
# 3: FPM CE in snooze mode, Switch Off, Battery Off still available.
SCREEN_OFF_POWER_STATE=3

###############################################################################
# SPD Debug mode
#  If set to 1, any failure of downloading a patch will trigger a hard-stop
#SPD_DEBUG=0

###############################################################################
# SPD Max Retry Count
#  The number of attempts to download a patch before giving up (defualt is 3).
#  Note, this resets after a power-cycle.
#SPD_MAX_RETRY_COUNT=3

###############################################################################
# transport driver
#
# TRANSPORT_DRIVER=<driver>
#
#  where <driver> can be, for example:
#    "/dev/ttyS"        (UART)
#    "/dev/bcmi2cnfc"   (I2C)
#    "hwtun"            (HW Tunnel)
#    "/dev/bcmspinfc"   (SPI)
#    "/dev/btusb0"      (BT USB)
TRANSPORT_DRIVER="/dev/bcm2079x-i2c"

###############################################################################
# power control driver
# Specify a kernel driver that support ioctl commands to control NFC_EN and
# NFC_WAKE gpio signals.
#
# POWER_CONTRL_DRIVER=<driver>
#  where <driver> can be, for example:
#    "/dev/nfcpower"
#    "/dev/bcmi2cnfc"   (I2C)
#    "/dev/bcmspinfc"   (SPI)
#    i2c and spi driver may be used to control NFC_EN and NFC_WAKE signal
POWER_CONTROL_DRIVER="/dev/bcm2079x-i2c"

###############################################################################
# I2C transport driver options
# BCMI2CNFC_ADDRESS=0

###############################################################################
# I2C transport driver try to read multiple packets in read() if data is available
# remove the comment below to enable this feature
#READ_MULTIPLE_PACKETS=1

###############################################################################
# SPI transport driver options
#SPI_NEGOTIATION={0A:F0:00:01:00:00:00:FF:FF:00:00}

###############################################################################
# UART transport driver options
#
# PORT=1,2,3,...
# BAUD=115200, 19200, 9600, 4800,
# DATABITS=8, 7, 6, 5
# PARITY="even" | "odd" | "none"
# STOPBITS="0" | "1" | "1.5" | "2"

#UART_PORT=2
#UART_BAUD=115200
#UART_DATABITS=8
#UART_PARITY="none"
#UART_STOPBITS="1"

###############################################################################
# Insert a delay in microseconds per byte after a write to NFCC.
# after writing a block of data to the NFCC, delay this an amopunt of time before
# writing next block of data.  the delay is calculated as below
#   NFC_WRITE_DELAY * (number of byte written) / 1000 milliseconds
# e.g. after 259 bytes is written, delay (259 * 20 / 1000) 5 ms before next write
NFC_WRITE_DELAY=20

###############################################################################
# Configuration for the RF discovery frequency for each technology. The values mean
# frequency for NFC Technology A
#                   Technology B
#                   Technology F
#                   Proprietary Technology/15693
#                   Proprietary Technology/B-Prime
#                   Proprietary Technology/Kovio
#                   Technology A active mode
#                   Technology F active mode
#POLL_FREQUENCY={01:01:01:01:01:01:01:01}

###############################################################################
# Define the following variables to override the NFC stack's crystal
# frequency selection algorithm.  Set XTAL_FREQ_INDEX=0xFF to use XTAL_PARAMS_CFG.
# Otherwise, XTAL_PARAMS_CFG is ignored.
#   XTAL_HARDWARE_ID: Controller's hardware ID.
#   XTAL_FREQUENCY: Controller's crystal frequency.
#   XTAL_FREQ_INDEX: Controller's crystal frequency index.
#   XTAL_PARAMS_CFG: Custom crystal frequency.
#XTAL_HARDWARE_ID=0x20791000
#XTAL_FREQUENCY=26000
#XTAL_FREQ_INDEX=5
#XTAL_PARAMS_CFG={08:00:00:00:00:00:00:00:00}

###############################################################################
# For debug purpose, setting this value to 1 will disable the JNI layer from
# toggling the UICC IDLE timeout feature when connecting/disconnecting to the
# SE.  The default behavior is to toggle the setting.
#
#DBG_NO_UICC_IDLE_TIMEOUT_TOGGLING=0

###############################################################################
# Allows NFC to bootup even if there is no NVRAM detected
#ALLOW_NO_NVM=0

###############################################################################
# Define the device host whitelist of HCI host ID's.  See specification ETSI TS 102 622
# V11.1.0 (2012-10), section 6.1.3.1.  Variable shall contain an array
# of HCI host ID's.  Stack's default is {02:03:04}.
#DEVICE_HOST_WHITE_LIST={02:03:04}

###############################################################################
# Verizon-specific feature
# Set to 0 or remove the variable to disable Verizon Aid Filtering
ENABLE_VZW_AID_FILTERING=0

###############################################################################
# Software workaround
POWER_OFF_MODE=0
DO_GLOBAL_RESET=1

###############################################################################
# Preserve the NVM files which holds the UICC session info.
PRESERVE_STORAGE=1
